#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkSILBuilderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSILBuilderNewCommand();
int vtkXdmfReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXdmfReaderNewCommand();
int vtkXdmfWriter2Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXdmfWriter2NewCommand();
int vtkXdmfWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXdmfWriterNewCommand();
int vtkXdmfRenderWindowInteractorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXdmfRenderWindowInteractorNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkxdmftcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkxdmftcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkxdmftcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkxdmftcl_Init(interp);
}


int VTK_EXPORT Vtkxdmftcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,const_cast<char *>("vtkSILBuilder"), vtkSILBuilderNewCommand,
                  vtkSILBuilderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXdmfReader"), vtkXdmfReaderNewCommand,
                  vtkXdmfReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXdmfWriter2"), vtkXdmfWriter2NewCommand,
                  vtkXdmfWriter2Command);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXdmfWriter"), vtkXdmfWriterNewCommand,
                  vtkXdmfWriterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXdmfRenderWindowInteractor"), vtkXdmfRenderWindowInteractorNewCommand,
                  vtkXdmfRenderWindowInteractorCommand);
  char pkgName[]="vtkXdmfTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
