// tcl wrapper for vtkXdmfWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXdmfWriter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkXdmfWriterNewCommand()
{
  vtkXdmfWriter *temp = vtkXdmfWriter::New();
  return static_cast<ClientData>(temp);
}

int vtkProcessObjectCppCommand(vtkProcessObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkXdmfWriterCppCommand(vtkXdmfWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkXdmfWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkXdmfWriterCppCommand(static_cast<vtkXdmfWriter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkXdmfWriterCppCommand(vtkXdmfWriter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkXdmfWriter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkProcessObjectCppCommand(static_cast<vtkProcessObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkProcessObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkXdmfWriter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXdmfWriter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkXdmfWriter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXdmfWriter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkXdmfWriter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXdmfWriter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllLight",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllLight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllLightMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAllLightMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAllLightMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAllLightMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AllLightOn",argv[1]))&&(argc == 2))
    {
    op->AllLightOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllLightOff",argv[1]))&&(argc == 2))
    {
    op->AllLightOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAllLight",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAllLight();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAllHeavy",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllHeavy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllHeavyMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAllHeavyMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAllHeavyMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAllHeavyMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AllHeavyOn",argv[1]))&&(argc == 2))
    {
    op->AllHeavyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllHeavyOff",argv[1]))&&(argc == 2))
    {
    op->AllHeavyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAllHeavy",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAllHeavy();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGridName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGridName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGridName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetGridName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDomainName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetDomainName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDomainName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetDomainName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCollectionName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetCollectionName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCollectionName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetCollectionName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGridOnly",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGridOnly(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGridOnlyMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGridOnlyMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGridOnlyMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGridOnlyMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GridOnlyOn",argv[1]))&&(argc == 2))
    {
    op->GridOnlyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GridOnlyOff",argv[1]))&&(argc == 2))
    {
    op->GridOnlyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGridOnly",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGridOnly();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHeavyDataSetName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetHeavyDataSetName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHeavyDataSetName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetHeavyDataSetName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputsArePieces",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInputsArePieces(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputsArePiecesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInputsArePiecesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInputsArePiecesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInputsArePiecesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InputsArePiecesOn",argv[1]))&&(argc == 2))
    {
    op->InputsArePiecesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InputsArePiecesOff",argv[1]))&&(argc == 2))
    {
    op->InputsArePiecesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInputsArePieces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInputsArePieces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFullGridSize",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetFullGridSize(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFullGridSize",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetFullGridSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFullGridSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetFullGridSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCollectionType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCollectionType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCollectionType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCollectionType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCollectionTypeToTemporal",argv[1]))&&(argc == 2))
    {
    op->SetCollectionTypeToTemporal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCollectionTypeToSpatial",argv[1]))&&(argc == 2))
    {
    op->SetCollectionTypeToSpatial();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CloseCollection",argv[1]))&&(argc == 2))
    {
    op->CloseCollection();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTimeValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTimeValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTimeValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAppendGridsToDomain",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAppendGridsToDomain(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAppendGridsToDomainMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAppendGridsToDomainMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAppendGridsToDomainMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAppendGridsToDomainMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AppendGridsToDomainOn",argv[1]))&&(argc == 2))
    {
    op->AppendGridsToDomainOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AppendGridsToDomainOff",argv[1]))&&(argc == 2))
    {
    op->AppendGridsToDomainOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAppendGridsToDomain",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAppendGridsToDomain();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Write",argv[1]))&&(argc == 2))
    {
    op->Write();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->AddInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("RemoveInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->RemoveInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputList",argv[1]))&&(argc == 2))
    {
    vtkDataSetCollection  *temp20;
    temp20 = (op)->GetInputList();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetCollection");
    return TCL_OK;
    }
  if ((!strcmp("IncrementIndent",argv[1]))&&(argc == 2))
    {
    op->IncrementIndent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DecrementIndent",argv[1]))&&(argc == 2))
    {
    op->DecrementIndent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateHDF5ArrayName",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    const char    *temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GenerateHDF5ArrayName(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkXdmfWriterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkProcessObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkXdmfWriter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAllLight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllLightMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAllLightMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  AllLightOn\n",NULL);
    Tcl_AppendResult(interp,"  AllLightOff\n",NULL);
    Tcl_AppendResult(interp,"  GetAllLight\n",NULL);
    Tcl_AppendResult(interp,"  SetAllHeavy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllHeavyMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAllHeavyMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  AllHeavyOn\n",NULL);
    Tcl_AppendResult(interp,"  AllHeavyOff\n",NULL);
    Tcl_AppendResult(interp,"  GetAllHeavy\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetGridName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGridName\n",NULL);
    Tcl_AppendResult(interp,"  SetDomainName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDomainName\n",NULL);
    Tcl_AppendResult(interp,"  SetCollectionName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCollectionName\n",NULL);
    Tcl_AppendResult(interp,"  SetGridOnly\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGridOnlyMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGridOnlyMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GridOnlyOn\n",NULL);
    Tcl_AppendResult(interp,"  GridOnlyOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGridOnly\n",NULL);
    Tcl_AppendResult(interp,"  SetHeavyDataSetName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHeavyDataSetName\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInputsArePieces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputsArePiecesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInputsArePiecesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  InputsArePiecesOn\n",NULL);
    Tcl_AppendResult(interp,"  InputsArePiecesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetInputsArePieces\n",NULL);
    Tcl_AppendResult(interp,"  SetFullGridSize\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFullGridSize\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetFullGridSize\n",NULL);
    Tcl_AppendResult(interp,"  SetCollectionType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCollectionType\n",NULL);
    Tcl_AppendResult(interp,"  SetCollectionTypeToTemporal\n",NULL);
    Tcl_AppendResult(interp,"  SetCollectionTypeToSpatial\n",NULL);
    Tcl_AppendResult(interp,"  CloseCollection\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeValue\n",NULL);
    Tcl_AppendResult(interp,"  SetAppendGridsToDomain\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAppendGridsToDomainMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAppendGridsToDomainMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  AppendGridsToDomainOn\n",NULL);
    Tcl_AppendResult(interp,"  AppendGridsToDomainOff\n",NULL);
    Tcl_AppendResult(interp,"  GetAppendGridsToDomain\n",NULL);
    Tcl_AppendResult(interp,"  Write\n",NULL);
    Tcl_AppendResult(interp,"  AddInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  RemoveInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputList\n",NULL);
    Tcl_AppendResult(interp,"  IncrementIndent\n",NULL);
    Tcl_AppendResult(interp,"  DecrementIndent\n",NULL);
    Tcl_AppendResult(interp,"  GenerateHDF5ArrayName\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkProcessObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetAllLight" );
    Tcl_DStringAppendElement ( &dString, "GetAllLightMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAllLightMaxValue" );
    Tcl_DStringAppendElement ( &dString, "AllLightOn" );
    Tcl_DStringAppendElement ( &dString, "AllLightOff" );
    Tcl_DStringAppendElement ( &dString, "GetAllLight" );
    Tcl_DStringAppendElement ( &dString, "SetAllHeavy" );
    Tcl_DStringAppendElement ( &dString, "GetAllHeavyMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAllHeavyMaxValue" );
    Tcl_DStringAppendElement ( &dString, "AllHeavyOn" );
    Tcl_DStringAppendElement ( &dString, "AllHeavyOff" );
    Tcl_DStringAppendElement ( &dString, "GetAllHeavy" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetGridName" );
    Tcl_DStringAppendElement ( &dString, "GetGridName" );
    Tcl_DStringAppendElement ( &dString, "SetDomainName" );
    Tcl_DStringAppendElement ( &dString, "GetDomainName" );
    Tcl_DStringAppendElement ( &dString, "SetCollectionName" );
    Tcl_DStringAppendElement ( &dString, "GetCollectionName" );
    Tcl_DStringAppendElement ( &dString, "SetGridOnly" );
    Tcl_DStringAppendElement ( &dString, "GetGridOnlyMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetGridOnlyMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GridOnlyOn" );
    Tcl_DStringAppendElement ( &dString, "GridOnlyOff" );
    Tcl_DStringAppendElement ( &dString, "GetGridOnly" );
    Tcl_DStringAppendElement ( &dString, "SetHeavyDataSetName" );
    Tcl_DStringAppendElement ( &dString, "GetHeavyDataSetName" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "SetInputsArePieces" );
    Tcl_DStringAppendElement ( &dString, "GetInputsArePiecesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetInputsArePiecesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "InputsArePiecesOn" );
    Tcl_DStringAppendElement ( &dString, "InputsArePiecesOff" );
    Tcl_DStringAppendElement ( &dString, "GetInputsArePieces" );
    Tcl_DStringAppendElement ( &dString, "SetFullGridSize" );
    Tcl_DStringAppendElement ( &dString, "SetFullGridSize" );
    Tcl_DStringAppendElement ( &dString, "GetFullGridSize" );
    Tcl_DStringAppendElement ( &dString, "SetCollectionType" );
    Tcl_DStringAppendElement ( &dString, "GetCollectionType" );
    Tcl_DStringAppendElement ( &dString, "SetCollectionTypeToTemporal" );
    Tcl_DStringAppendElement ( &dString, "SetCollectionTypeToSpatial" );
    Tcl_DStringAppendElement ( &dString, "CloseCollection" );
    Tcl_DStringAppendElement ( &dString, "SetTimeValue" );
    Tcl_DStringAppendElement ( &dString, "GetTimeValue" );
    Tcl_DStringAppendElement ( &dString, "SetAppendGridsToDomain" );
    Tcl_DStringAppendElement ( &dString, "GetAppendGridsToDomainMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAppendGridsToDomainMaxValue" );
    Tcl_DStringAppendElement ( &dString, "AppendGridsToDomainOn" );
    Tcl_DStringAppendElement ( &dString, "AppendGridsToDomainOff" );
    Tcl_DStringAppendElement ( &dString, "GetAppendGridsToDomain" );
    Tcl_DStringAppendElement ( &dString, "Write" );
    Tcl_DStringAppendElement ( &dString, "AddInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "RemoveInput" );
    Tcl_DStringAppendElement ( &dString, "GetInputList" );
    Tcl_DStringAppendElement ( &dString, "IncrementIndent" );
    Tcl_DStringAppendElement ( &dString, "DecrementIndent" );
    Tcl_DStringAppendElement ( &dString, "GenerateHDF5ArrayName" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkProcessObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkXdmfWriter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllLight */
    if ( strcmp ( argv[2], "SetAllLight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllLight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllLight */
    Tcl_DStringAppendElement ( &dString, " Set or get the AllLight flag. If set, all data will be written as light\n data (inlined).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAllLight(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetAllLight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllLightMinValue */
    if ( strcmp ( argv[2], "GetAllLightMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllLightMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllLightMinValue */
    Tcl_DStringAppendElement ( &dString, " Set or get the AllLight flag. If set, all data will be written as light\n data (inlined).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAllLightMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetAllLightMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllLightMaxValue */
    if ( strcmp ( argv[2], "GetAllLightMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllLightMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllLightMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set or get the AllLight flag. If set, all data will be written as light\n data (inlined).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAllLightMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetAllLightMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllLightOn */
    if ( strcmp ( argv[2], "AllLightOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllLightOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllLightOn */
    Tcl_DStringAppendElement ( &dString, " Set or get the AllLight flag. If set, all data will be written as light\n data (inlined).\n" );
    Tcl_DStringAppendElement ( &dString, "void AllLightOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for AllLightOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllLightOff */
    if ( strcmp ( argv[2], "AllLightOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllLightOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllLightOff */
    Tcl_DStringAppendElement ( &dString, " Set or get the AllLight flag. If set, all data will be written as light\n data (inlined).\n" );
    Tcl_DStringAppendElement ( &dString, "void AllLightOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for AllLightOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllLight */
    if ( strcmp ( argv[2], "GetAllLight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllLight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllLight */
    Tcl_DStringAppendElement ( &dString, " Set or get the AllLight flag. If set, all data will be written as light\n data (inlined).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAllLight();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetAllLight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllHeavy */
    if ( strcmp ( argv[2], "SetAllHeavy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllHeavy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllHeavy */
    Tcl_DStringAppendElement ( &dString, " Make all data heavy, including rectilinear grid arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAllHeavy(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetAllHeavy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllHeavyMinValue */
    if ( strcmp ( argv[2], "GetAllHeavyMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllHeavyMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllHeavyMinValue */
    Tcl_DStringAppendElement ( &dString, " Make all data heavy, including rectilinear grid arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAllHeavyMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetAllHeavyMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllHeavyMaxValue */
    if ( strcmp ( argv[2], "GetAllHeavyMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllHeavyMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllHeavyMaxValue */
    Tcl_DStringAppendElement ( &dString, " Make all data heavy, including rectilinear grid arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAllHeavyMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetAllHeavyMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllHeavyOn */
    if ( strcmp ( argv[2], "AllHeavyOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllHeavyOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllHeavyOn */
    Tcl_DStringAppendElement ( &dString, " Make all data heavy, including rectilinear grid arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllHeavyOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for AllHeavyOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllHeavyOff */
    if ( strcmp ( argv[2], "AllHeavyOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllHeavyOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllHeavyOff */
    Tcl_DStringAppendElement ( &dString, " Make all data heavy, including rectilinear grid arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllHeavyOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for AllHeavyOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllHeavy */
    if ( strcmp ( argv[2], "GetAllHeavy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllHeavy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllHeavy */
    Tcl_DStringAppendElement ( &dString, " Make all data heavy, including rectilinear grid arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAllHeavy();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetAllHeavy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Set or get the file name of the xdmf file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFileName(const char *fname);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Set or get the file name of the xdmf file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGridName */
    if ( strcmp ( argv[2], "SetGridName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridName */
    Tcl_DStringAppendElement ( &dString, " Set or get the grid name of the dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGridName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetGridName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGridName */
    if ( strcmp ( argv[2], "GetGridName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridName */
    Tcl_DStringAppendElement ( &dString, " Set or get the grid name of the dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetGridName();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetGridName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDomainName */
    if ( strcmp ( argv[2], "SetDomainName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDomainName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDomainName */
    Tcl_DStringAppendElement ( &dString, " Set or ger the domain name.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDomainName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetDomainName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDomainName */
    if ( strcmp ( argv[2], "GetDomainName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDomainName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDomainName */
    Tcl_DStringAppendElement ( &dString, " Set or ger the domain name.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetDomainName();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetDomainName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCollectionName */
    if ( strcmp ( argv[2], "SetCollectionName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCollectionName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCollectionName */
    Tcl_DStringAppendElement ( &dString, " Collection name defines collection grids belong to\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCollectionName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetCollectionName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCollectionName */
    if ( strcmp ( argv[2], "GetCollectionName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCollectionName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCollectionName */
    Tcl_DStringAppendElement ( &dString, " Collection name defines collection grids belong to\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetCollectionName();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetCollectionName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGridOnly */
    if ( strcmp ( argv[2], "SetGridOnly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridOnly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridOnly */
    Tcl_DStringAppendElement ( &dString, " If GridOnly is set, only the grid will be written and all the header\n information will be ignored\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGridOnly(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetGridOnly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGridOnlyMinValue */
    if ( strcmp ( argv[2], "GetGridOnlyMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridOnlyMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridOnlyMinValue */
    Tcl_DStringAppendElement ( &dString, " If GridOnly is set, only the grid will be written and all the header\n information will be ignored\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGridOnlyMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetGridOnlyMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGridOnlyMaxValue */
    if ( strcmp ( argv[2], "GetGridOnlyMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridOnlyMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridOnlyMaxValue */
    Tcl_DStringAppendElement ( &dString, " If GridOnly is set, only the grid will be written and all the header\n information will be ignored\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGridOnlyMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetGridOnlyMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GridOnlyOn */
    if ( strcmp ( argv[2], "GridOnlyOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GridOnlyOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GridOnlyOn */
    Tcl_DStringAppendElement ( &dString, " If GridOnly is set, only the grid will be written and all the header\n information will be ignored\n" );
    Tcl_DStringAppendElement ( &dString, "void GridOnlyOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GridOnlyOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GridOnlyOff */
    if ( strcmp ( argv[2], "GridOnlyOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GridOnlyOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GridOnlyOff */
    Tcl_DStringAppendElement ( &dString, " If GridOnly is set, only the grid will be written and all the header\n information will be ignored\n" );
    Tcl_DStringAppendElement ( &dString, "void GridOnlyOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GridOnlyOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGridOnly */
    if ( strcmp ( argv[2], "GetGridOnly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridOnly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridOnly */
    Tcl_DStringAppendElement ( &dString, " If GridOnly is set, only the grid will be written and all the header\n information will be ignored\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGridOnly();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetGridOnly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHeavyDataSetName */
    if ( strcmp ( argv[2], "SetHeavyDataSetName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHeavyDataSetName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHeavyDataSetName */
    Tcl_DStringAppendElement ( &dString, " Set or get the name of the heavy data file name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetHeavyDataSetName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetHeavyDataSetName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeavyDataSetName */
    if ( strcmp ( argv[2], "GetHeavyDataSetName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeavyDataSetName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeavyDataSetName */
    Tcl_DStringAppendElement ( &dString, " Set or get the name of the heavy data file name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetHeavyDataSetName();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetHeavyDataSetName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set the input data set.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput(vtkDataSet *ds);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputsArePieces */
    if ( strcmp ( argv[2], "SetInputsArePieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputsArePieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputsArePieces */
    Tcl_DStringAppendElement ( &dString, " If InputsArePieces is set, the onpuits are considered to be parts/pieces\n of a larger grid and are joined together inside the hdf5 file\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputsArePieces(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetInputsArePieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputsArePiecesMinValue */
    if ( strcmp ( argv[2], "GetInputsArePiecesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputsArePiecesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputsArePiecesMinValue */
    Tcl_DStringAppendElement ( &dString, " If InputsArePieces is set, the onpuits are considered to be parts/pieces\n of a larger grid and are joined together inside the hdf5 file\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInputsArePiecesMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetInputsArePiecesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputsArePiecesMaxValue */
    if ( strcmp ( argv[2], "GetInputsArePiecesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputsArePiecesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputsArePiecesMaxValue */
    Tcl_DStringAppendElement ( &dString, " If InputsArePieces is set, the onpuits are considered to be parts/pieces\n of a larger grid and are joined together inside the hdf5 file\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInputsArePiecesMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetInputsArePiecesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InputsArePiecesOn */
    if ( strcmp ( argv[2], "InputsArePiecesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InputsArePiecesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InputsArePiecesOn */
    Tcl_DStringAppendElement ( &dString, " If InputsArePieces is set, the onpuits are considered to be parts/pieces\n of a larger grid and are joined together inside the hdf5 file\n" );
    Tcl_DStringAppendElement ( &dString, "void InputsArePiecesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for InputsArePiecesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InputsArePiecesOff */
    if ( strcmp ( argv[2], "InputsArePiecesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InputsArePiecesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InputsArePiecesOff */
    Tcl_DStringAppendElement ( &dString, " If InputsArePieces is set, the onpuits are considered to be parts/pieces\n of a larger grid and are joined together inside the hdf5 file\n" );
    Tcl_DStringAppendElement ( &dString, "void InputsArePiecesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for InputsArePiecesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputsArePieces */
    if ( strcmp ( argv[2], "GetInputsArePieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputsArePieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputsArePieces */
    Tcl_DStringAppendElement ( &dString, " If InputsArePieces is set, the onpuits are considered to be parts/pieces\n of a larger grid and are joined together inside the hdf5 file\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInputsArePieces();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetInputsArePieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFullGridSize */
    if ( strcmp ( argv[2], "SetFullGridSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFullGridSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFullGridSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFullGridSize(int, int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetFullGridSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFullGridSize */
    if ( strcmp ( argv[2], "SetFullGridSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFullGridSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFullGridSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFullGridSize(int a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetFullGridSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFullGridSize */
    if ( strcmp ( argv[2], "GetFullGridSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFullGridSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFullGridSize */
    Tcl_DStringAppendElement ( &dString, " When InputsArePieces is set, this is the true size of the data\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetFullGridSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetFullGridSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCollectionType */
    if ( strcmp ( argv[2], "SetCollectionType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCollectionType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCollectionType */
    Tcl_DStringAppendElement ( &dString, " If appending many time steps together into a single file\n you should set CollectionType to \"Temporal\", \n when appending grids into a multi-block type structure\n use collection type is \"Spatial\". By default, Collection type is Unset\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCollectionType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetCollectionType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCollectionType */
    if ( strcmp ( argv[2], "GetCollectionType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCollectionType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCollectionType */
    Tcl_DStringAppendElement ( &dString, " If appending many time steps together into a single file\n you should set CollectionType to \"Temporal\", \n when appending grids into a multi-block type structure\n use collection type is \"Spatial\". By default, Collection type is Unset\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCollectionType();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetCollectionType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCollectionTypeToTemporal */
    if ( strcmp ( argv[2], "SetCollectionTypeToTemporal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCollectionTypeToTemporal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCollectionTypeToTemporal */
    Tcl_DStringAppendElement ( &dString, " If appending many time steps together into a single file\n you should set CollectionType to \"Temporal\", \n when appending grids into a multi-block type structure\n use collection type is \"Spatial\". By default, Collection type is Unset\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCollectionTypeToTemporal();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetCollectionTypeToTemporal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCollectionTypeToSpatial */
    if ( strcmp ( argv[2], "SetCollectionTypeToSpatial" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCollectionTypeToSpatial" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCollectionTypeToSpatial */
    Tcl_DStringAppendElement ( &dString, " If appending many time steps together into a single file\n you should set CollectionType to \"Temporal\", \n when appending grids into a multi-block type structure\n use collection type is \"Spatial\". By default, Collection type is Unset\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCollectionTypeToSpatial();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetCollectionTypeToSpatial */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CloseCollection */
    if ( strcmp ( argv[2], "CloseCollection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CloseCollection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CloseCollection */
    Tcl_DStringAppendElement ( &dString, " If appending many time steps together into a single file\n you should set CollectionType to \"Temporal\", \n when appending grids into a multi-block type structure\n use collection type is \"Spatial\". By default, Collection type is Unset\n" );
    Tcl_DStringAppendElement ( &dString, "void CloseCollection();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for CloseCollection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeValue */
    if ( strcmp ( argv[2], "SetTimeValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeValue */
    Tcl_DStringAppendElement ( &dString, " Set the time value of this data\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeValue(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetTimeValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeValue */
    if ( strcmp ( argv[2], "GetTimeValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeValue */
    Tcl_DStringAppendElement ( &dString, " Set the time value of this data\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTimeValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetTimeValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAppendGridsToDomain */
    if ( strcmp ( argv[2], "SetAppendGridsToDomain" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAppendGridsToDomain" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAppendGridsToDomain */
    Tcl_DStringAppendElement ( &dString, " If AppendGridsToDomain is set, the existing xdmf xml file is opeded\n and new grid are added to the existing domain inside it.\n No checking is performed on the structuire of the file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAppendGridsToDomain(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for SetAppendGridsToDomain */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAppendGridsToDomainMinValue */
    if ( strcmp ( argv[2], "GetAppendGridsToDomainMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAppendGridsToDomainMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAppendGridsToDomainMinValue */
    Tcl_DStringAppendElement ( &dString, " If AppendGridsToDomain is set, the existing xdmf xml file is opeded\n and new grid are added to the existing domain inside it.\n No checking is performed on the structuire of the file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAppendGridsToDomainMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetAppendGridsToDomainMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAppendGridsToDomainMaxValue */
    if ( strcmp ( argv[2], "GetAppendGridsToDomainMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAppendGridsToDomainMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAppendGridsToDomainMaxValue */
    Tcl_DStringAppendElement ( &dString, " If AppendGridsToDomain is set, the existing xdmf xml file is opeded\n and new grid are added to the existing domain inside it.\n No checking is performed on the structuire of the file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAppendGridsToDomainMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetAppendGridsToDomainMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AppendGridsToDomainOn */
    if ( strcmp ( argv[2], "AppendGridsToDomainOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AppendGridsToDomainOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AppendGridsToDomainOn */
    Tcl_DStringAppendElement ( &dString, " If AppendGridsToDomain is set, the existing xdmf xml file is opeded\n and new grid are added to the existing domain inside it.\n No checking is performed on the structuire of the file.\n" );
    Tcl_DStringAppendElement ( &dString, "void AppendGridsToDomainOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for AppendGridsToDomainOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AppendGridsToDomainOff */
    if ( strcmp ( argv[2], "AppendGridsToDomainOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AppendGridsToDomainOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AppendGridsToDomainOff */
    Tcl_DStringAppendElement ( &dString, " If AppendGridsToDomain is set, the existing xdmf xml file is opeded\n and new grid are added to the existing domain inside it.\n No checking is performed on the structuire of the file.\n" );
    Tcl_DStringAppendElement ( &dString, "void AppendGridsToDomainOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for AppendGridsToDomainOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAppendGridsToDomain */
    if ( strcmp ( argv[2], "GetAppendGridsToDomain" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAppendGridsToDomain" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAppendGridsToDomain */
    Tcl_DStringAppendElement ( &dString, " If AppendGridsToDomain is set, the existing xdmf xml file is opeded\n and new grid are added to the existing domain inside it.\n No checking is performed on the structuire of the file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAppendGridsToDomain();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetAppendGridsToDomain */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Write */
    if ( strcmp ( argv[2], "Write" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Write" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Write */
    Tcl_DStringAppendElement ( &dString, " Write the XDMF file.\n" );
    Tcl_DStringAppendElement ( &dString, "void Write();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for Write */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddInput */
    if ( strcmp ( argv[2], "AddInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInput */
    Tcl_DStringAppendElement ( &dString, " Add a dataset to the list of data to append.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddInput(vtkDataObject *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for AddInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Get any input of this filter.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetInput(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Get any input of this filter.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveInput */
    if ( strcmp ( argv[2], "RemoveInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveInput */
    Tcl_DStringAppendElement ( &dString, " Remove a dataset from the list of data to append.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveInput(vtkDataObject *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for RemoveInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputList */
    if ( strcmp ( argv[2], "GetInputList" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputList" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputList */
    Tcl_DStringAppendElement ( &dString, " Returns a copy of the input array.  Modifications to this list\n will not be reflected in the actual inputs.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetCollection *GetInputList();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GetInputList */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IncrementIndent */
    if ( strcmp ( argv[2], "IncrementIndent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IncrementIndent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IncrementIndent */
    Tcl_DStringAppendElement ( &dString, " Indent xml \n" );
    Tcl_DStringAppendElement ( &dString, "void IncrementIndent();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for IncrementIndent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DecrementIndent */
    if ( strcmp ( argv[2], "DecrementIndent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DecrementIndent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DecrementIndent */
    Tcl_DStringAppendElement ( &dString, " Indent xml \n" );
    Tcl_DStringAppendElement ( &dString, "void DecrementIndent();" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for DecrementIndent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateHDF5ArrayName */
    if ( strcmp ( argv[2], "GenerateHDF5ArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateHDF5ArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateHDF5ArrayName */
    Tcl_DStringAppendElement ( &dString, " Generate hdf5 name for array\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GenerateHDF5ArrayName(const char *gridName, const char *arrayName);" );
    Tcl_DStringAppendElement ( &dString, "vtkXdmfWriter" );
    /* Closing for GenerateHDF5ArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkProcessObjectCppCommand(static_cast<vtkProcessObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
